/*
 * menubar.h
 */ 

#ifndef _MENUBAR_H_
#define _MENUBAR_H_

#include <gtkmm.h>
#include "icon_factory.h"

// Forward declarations:
class WindowMain;

class myMenuBar : public Gtk::MenuBar , public IconFactory
{    
public:
	myMenuBar(WindowMain*);
	virtual ~myMenuBar();

protected:	
	Gtk::Menu *m_Submenu;	
	Gtk::ImageMenuItem *item, *m_OpenItem, *m_SaveItem, *m_QuitItem;
	Gtk::ImageMenuItem *m_EditPositionItem, *m_EditGameItem, *m_ShowCandidatesItem;
	Gtk::SeparatorMenuItem *hline;
	
	virtual void on_menu_mode_open();
	virtual void on_menu_mode_save();
	
	virtual void on_menu_mode_editposition();
	virtual void on_menu_mode_editgame();
	virtual void on_menu_mode_showcandidates();
};

#endif // _MENUBAR_H_
