/*
 * toolbar.h
 */
 

#ifndef __TOOLBAR_H__
#define __TOOLBAR_H__

#include "icon_factory.h"

// Forward declarations:
class WindowMain;

class myToolBar : public Gtk::Toolbar , public IconFactory
{    
public:
	myToolBar(WindowMain*);
	virtual ~myToolBar();

protected:
	// Child widgets:
	Gtk::ToolItem *toolItem;
	Glib::RefPtr<Gtk::Action> actionEditPosition, actionEditGame, actionShowCandidates, actionQuit;
	
	virtual void on_action_editposition();
	virtual void on_action_editgame();
	virtual void on_action_showcandidates();
};

#endif // __TOOLBAR_H__
